# 2 Dimensional Ising Model: data_t Class Reference

Loading...
Searching...
No Matches
data_t Class Reference

Type to use with the IsingModel class and montecarlo module. More...

`#include <data_type.hpp>`

## Public Member Functions

| data_t ()
| constructor with no parameters.
| data_t (double E, double E2, double M, double M2, double M_abs)
| Constructor with parameters.
template<class T >
data_t | operator/ (T num)
| Overload of the division operator.
template<class T >
data_t & | operator/= (T num)
| Overload of the division equals operator.
template<class T >
data_t | operator* (T num)
| Overload of the multiply operator.
template<class T >
data_t & | operator*= (T num)
| Overload of the multiply equals operator.
data_t | operator+ (const data_t &b)
| Overload of the addition operator.
data_t & | operator+= (const data_t &b)
| Overload of the addition equals operator.

## Public Attributes

double | E
| Energy.
double | M
| Magnetization.
double | E2
| Energy squared.
double | M2
| Magnetization squared.
double | M_abs
| Absolute Magnetization.

## Detailed Description

Type to use with the IsingModel class and montecarlo module.

Definition at line 19 of file data_type.hpp.

## Constructor & Destructor Documentation

## data_t() [1/2]

data_t::data_t | ( |  | ) |

inline

constructor with no parameters.

Definition at line 29 of file data_type.hpp.

## data_t() [2/2]

data_t::data_t | ( | double | E,
|  | double | E2,
|  | double | M,
|  | double | M2,
|  | double | M_abs
| ) |  |

inline

Constructor with parameters.

Parameters

  E | Initial energy
  E2 | Initial energy squared
  M | Initial magnetization
  M2 | Initial magnetization squared
  M_abs | Initial absolute magnetization

Definition at line 45 of file data_type.hpp.

## Member Function Documentation

## operator*()

template<class T >

data_t data_t::operator* | ( | T | num | ) |

inline

Overload of the multiply operator.

Parameters

  num | The number to multiply each field by.

Returns
  data_t

Definition at line 96 of file data_type.hpp.

## operator*=()

template<class T >

data_t & data_t::operator*= | ( | T | num | ) |

inline

Overload of the multiply equals operator.

Parameters

  num | The number to multiply each field by.

Returns
  data_t

Definition at line 114 of file data_type.hpp.

## operator+()

data_t data_t::operator+ | ( | const data_t & | b | ) |

inline

Overload of the addition operator.

Parameters

  b | The data_t field to add.

Returns
  data_t

Definition at line 132 of file data_type.hpp.

## operator+=()

data_t & data_t::operator+= | ( | const data_t & | b | ) |

inline

Overload of the addition equals operator.

Parameters

  b | The data_t field to add.

Returns
  data_t

Definition at line 150 of file data_type.hpp.

## operator/()

template<class T >

data_t data_t::operator/ | ( | T | num | ) |

inline

Overload of the division operator.

Parameters

  num | The number to divide each field by.

Returns
  data_t

Definition at line 60 of file data_type.hpp.

## operator/=()

template<class T >

data_t & data_t::operator/= | ( | T | num | ) |

inline

Overload of the division equals operator.

Parameters

  num | The number to divide each field by.

Returns
  data_t

Definition at line 79 of file data_type.hpp.

## Member Data Documentation

## E

double data_t::E

Energy.

Definition at line 21 of file data_type.hpp.

## E2

double data_t::E2

Energy squared.

Definition at line 23 of file data_type.hpp.

## M

double data_t::M

Magnetization.

Definition at line 22 of file data_type.hpp.

## M2

double data_t::M2

Magnetization squared.

Definition at line 24 of file data_type.hpp.

## M_abs

double data_t::M_abs

Absolute Magnetization.

Definition at line 25 of file data_type.hpp.

The documentation for this class was generated from the following file:

- include/data_type.hpp